### Function

# Gtk.Settings.get_for_display

#### Declaration [src]

    GtkSettings*
    gtk_settings_get_for_display (
      GdkDisplay* display
    )

#### Description [src]

Gets the `GtkSettings` object for `display`, creating it if necessary.

#### Parameters

`display` | `GdkDisplay*`
| a `GdkDisplay`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkSettings`
a `GtkSettings` object
Ownership is not transferred to the caller